#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <process.h>
#include <time.h>

#ifndef CLOCKS_PER_SEC
#define  CLOCKS_PER_SEC 1e6
#endif
 
int main(int numb_arg, char * argc[])
{
char in_key[80], out_key[80], command[80]; 
char file_name[80];
int FIRST,LAST,i, skip =0, scale;
int num_frames, GOP;
float bits_pp, CPU_time, ave_time;

if (numb_arg < 8 || numb_arg > 9) {
    puts("\aUsage: decode_seq command in_keyname out_keyname first_frame_num last_frame_num GOPSize bits_per_pel");
    exit(0); }

strcpy(command, argc[1]);
strcpy(in_key, argc[2]);
strcpy(out_key, argc[3]);
FIRST = atoi(argc[4]);
LAST = atoi(argc[5]);
GOP = atoi(argc[6]);
bits_pp = atof(argc[7]);
//skip = atoi(argc[8]);


printf("\n  Input file key = %s\n", in_key);
printf("\n  Output file key = %s\n", out_key);


i=FIRST;

CPU_time = (float) clock();

do {
char command_string[256]; 


   sprintf(file_name,"%s%03d.cmp", in_key, i);
 //  printf(file_name,"\n %s%03d.cmp\n", in_key, i);

   sprintf(command_string, "%s -s %s %s %03d %03d %4.2f", command, file_name, out_key, i, i + GOP -1, bits_pp);
   printf(command_string, "\n command -s %s %s %03d %03d %4.2f ", command, file_name, out_key, i, i + GOP -1, bits_pp);
   system(command_string);
   i=i+(skip+1)*GOP;
} while ( i <= LAST ) ;

num_frames = (LAST - FIRST + 1)/(skip + 1);
ave_time = (((float) clock() - CPU_time)/(float) CLOCKS_PER_SEC)/num_frames;
printf("\n Number of frames = %08d \n Process time per frame = %6.3f sec. \n", num_frames, ave_time);

return 0;
}
