#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <process.h>
#include <time.h>

#ifndef CLOCKS_PER_SEC
#define  CLOCKS_PER_SEC 1e6
#endif

int main(int numb_arg, char * argc[])
{
char in_name[80], out_key[80]; 
char file_name[80], command[80];
int FIRST,LAST,i, skip = 0;
int width, height, pel_bytes;
int GOP, num_frames;
float bit_rate, CPU_time, ave_time;

if (numb_arg < 11 || numb_arg > 12) {
    puts("\aUsage: encode_seq command in_keyword out_keyword first_frame_num last_frame_num width height pel_bytes GOPSize bits_ppp");
    exit(0); }

strcpy(command, argc[1]);
strcpy(in_name, argc[2]);
strcpy(out_key, argc[3]);
FIRST = atoi(argc[4]);
LAST = atoi(argc[5]);
width = atoi(argc[6]);
height = atoi(argc[7]);
pel_bytes = atoi(argc[8]);
GOP = atoi(argc[9]);
bit_rate = atof(argc[10]);
//skip = atoi(argc[11]);
printf("\n  Input file  = %s\n", in_name);
printf("\n width  %3d, height %3d, bit_rate %4.2f", width,height); 

i=FIRST;
CPU_time =(float) clock();

do {
char command_string[256]; 

   sprintf(file_name,"%s%03d.cmp", out_key, i);
   printf("\n File to be written = %s \n", file_name);
   printf("command string: %s %s %s %03d %03d %01d %4.2f %04d %04d", command, in_name, file_name, i, i+ GOP -1, pel_bytes, bit_rate, width, height );
   sprintf(command_string, "%s %s %s %03d %03d %01d %4.2f %04d %04d", command, in_name, file_name, i, i+ GOP -1, pel_bytes, bit_rate, width, height );
   system(command_string);
   i=i+(skip+1)*GOP;
} while ( i <= LAST ) ;

num_frames = (LAST - FIRST + 1)/(skip + 1);
ave_time = (((float) clock() - CPU_time)/(float) CLOCKS_PER_SEC)/num_frames;
printf("\n Process time per frame = %6.3f sec. \n", ave_time);
return 0;
}

